(ns sliva.data
  (:require [cljs.core.async :refer [chan]]
            [reagent.core :as reagent]))

;; App state atom
(def appstate
  (reagent/atom
   {:clients []
    :vtic (chan)
    :vizual {:animiraj false
             ;;;;; ☭☭☭☭☭☭☭☭☭☭☭☭☭☭ ;;;;;;
             ;; ☭☭☭☭ Parametri razni ☭☭☭☭ ;;
             ;;;;; ☭☭☭☭☭☭☭☭☭☭☭☭☭☭ ;;;;;;
             :odmik-kamere 100
             :rotacija-kamere 1
             :bg-barva 0x000000
             :FOV 140
             :lik-sirina 2
             :obj-limit 1000
             :objekti []
             :stevec 0
             :rotacija-x 0.006
             :rotacija-y 0.001
             :rotacija-z 0.003
             :zamik-barve 0.0000666
             :zacetna-barva 0.333
             :saturacija 1
             :svetlost 0.4
             :w-diff 0.5
             :gostota-obj 2}}))
